#include "mouse.h"
#include "pinouts.h"

void Mouse::test_IR_sensors()
{
    scan();
    
    pc.printf("right side: %f, left side: %f right_front: %f, left_front: %f \r\n", rs_val, ls_val, rf_val, lf_val);
    wait(1);
}

void Mouse::test_motors()
{
    sensor_reset();
    
    right_forward = 1;
    left_forward = 1;
    right_reverse = 0;
    left_reverse = 0;
    
    wait(10);
    pc.printf("left pulses: %d, right pulses: %d", l_enco.getPulses(), r_enco.getPulses());
}